# Gradient Brushes

(PHP 7, UI 2.0.0)

## Introduction

Abstract for gradient brushes

## Class synopsis

abstract UI\Draw\Brush\Gradient extends UI\Draw\Brush {
/* Methods */
public addStop ( float `$position` , UI\Draw\Color `$color` ) : int
public addStop ( float `$position` , int `$color` ) : int
public delStop ( int `$index` ) : int
public setStop ( int `$index` , float `$position` , UI\Draw\Color `$color` ) : bool
public setStop ( int `$index` , float `$position` , int `$color` ) : bool
/* Inherited methods */
public UI\Draw\Brush::getColor ( void ) : UI\Draw\Color
public UI\Draw\Brush::setColor ( UI\Draw\Color `$color` ) : void
public UI\Draw\Brush::setColor ( int `$color` ) : void
}

## Table of Contents

- UI\Draw\Brush\Gradient::addStop — Stop Manipulation
- UI\Draw\Brush\Gradient::delStop — Stop Manipulation
- UI\Draw\Brush\Gradient::setStop — Stop Manipulation